Ricoh DC DL-10 SR10 FTP USER Command Buffer Overflow Exploit

Ricoh DC's DL-10 SR10 FTP Server is prone to a buffer-overflow vulnerability when handling data through the USER command. This can be exploited by supplying a long string of data to the affected command.
Exploit type: 
Platform: 
Vulnerabilty ID: 
NOCVE-9999-53623
Product Version: 
12.3
Released Date: 
Monday, August 27, 2012 - 00:00